import React from "react";
import hoistStatics from "hoist-non-react-statics";
import { SceneType } from "./Scene";
export declare type InjectedSceneProps = {
    scene: SceneType;
};
export default function withScene<T extends React.ComponentType<any>>(Component: T): {
    (props: any): JSX.Element;
    displayName: string;
    WrappedComponent: T;
} & hoistStatics.NonReactStatics<T, {}>;
